## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# MANUALLY ADDED START
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# LGPL-2.1-or-later
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
%global binary_license LGPL-2.1-or-later AND MIT AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown
# MANUALLY ADDED END

%global crate kirmes

Name:           rust-kirmes
Version:        0.0.1
Release:        %autorelease
Summary:        Library providing access to system's userdb varlink interface

License:        LGPL-2.1-or-later
URL:            https://crates.io/crates/kirmes
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rustfmt
BuildRequires:  cargo-c

%global _description %{expand:
A library providing access to system's userdb varlink interface.}

%description %{_description}

%package     -n kirmesctl
Summary:        %{summary}
License:        %{binary_license}

%description -n kirmesctl %{_description}

%files       -n kirmesctl
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/kirmesctl

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

# MANUALLY ADDED START
%package     -n lib%{crate}
Summary:        %{summary}
License:        %{binary_license}

%description -n lib%{crate}
A shared library providing access to system's userdb varlink interface.

%files       -n lib%{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_libdir}/libkirmes.so.*

%package     -n lib%{crate}-devel
Summary:        Development files for libkirmes
License:        LGPL-2.1-or-later
Requires:       lib%{crate}%{?_isa} = %{version}-%{release}

%description -n lib%{crate}-devel
Header files and package config for lib%{crate}.

%files       -n lib%{crate}-devel
%{_libdir}/libkirmes.so
%{_libdir}/pkgconfig/kirmes.pc
%{_includedir}/kirmes/
# MANUALLY ADDED END

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%cargo_cbuild

%install
%cargo_install
%cargo_cinstall

# Remove static library
rm -v %{buildroot}/%{_libdir}/libkirmes.a

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Apr 19 2025 Andreas Schneider <asn@redhat.com> - 0.0.1-2
- Rebuild for 32bit packages

* Wed Apr 02 2025 Andreas Schneider <asn@redhat.com> - 0.0.1-1
- The big bing!
## END: Generated by rpmautospec
